Subject: [Tigers] Rust never sleeps

From: "Jeff Feit" <[email-masked]>
Date: Mon, 1 Jul 2013 14:45:00 -0400

Here's a new one by me.

As you may recall I took the original, untouched 260 out of my Tiger to
simply clean it up and fix the leaks. Not removing the heads, but had the
bottom end apart to do the rear main seal.

While pressure washing the gunk off the outside of the engine, I blew a hole
right through a freeze plug! Turns out there were several that were so thin
you could see through them. Glad I found this before I put it back in.

Jeff Feit

B9471573

[demime 1.01d removed an attachment of type image/jpeg which had a name of IMG_2044 (800x600).jpg]
_______________________________________________

[email-masked]

Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/tigers/[email-masked]